![A graph of sine and cosine](./assets/graphsincos.png)

Given the above graph:
- At the origin, $sin(x) = 0$ and $cos(x) = 1$
- A full wavelength takes $2\pi$

# Manipulation
| Formula          | Movement                           |
| ---------------- | ---------------------------------- |
| $y = cos(x) - 1$ | Vertical shift down by 1           |
| $y = 2cos(x)$    | Vertical stretch by a factor of 2  |
| $y = -cos(x)$    | Flip over x axis                   |
| $y = cos(2x)$    | Horizontal shrink by a factor of 2 |
# Periodic Functions
A function is considered periodic if it repeats itself at even intervals, where each interval is a complete cycle, referred to as a *period*.


# Sinusoidal Functions
A function that has the same shape as a sine or cosine wave is known as a sinusoidal function.

There are 4 general functions:

| $$A * sin(B*x - C) + D$$                  | $$ y = A * cos(B*x -c) + D$$           |
| ----------------------------------------- | -------------------------------------- |
| $$ y = A * sin(B(x - \frac{C}{B})) + D $$ | $$ y = A*cos(B(x - \frac{C}{B})) + D$$ |


How to find the:
- Amplitude: $|A|$
- Period: $\frac{2\pi}{B}$
- Phase shift: $\frac{C}{|B|}$
- Vertical shift: $D$ 


$$ y = A * \sin(B(x-\frac{C}{B})) $$